# $Revision: 1.5 $, $Date: 2012/04/03 20:52:41 $
Summary:	GNOME/GTK+ integration of special directories
Summary(pl.UTF-8):	Integracja specjalnych katalogów z GNOME/GTK+
Name:		xdg-user-dirs-gtk
Version:	0.9
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/xdg-user-dirs-gtk/0.9/%{name}-%{version}.tar.xz
# Source0-md5:	345227186331147fafffbe09d8b0082b
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+3-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xdg-user-dirs
BuildRequires:	xz
Requires:	xdg-user-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xdg-user-dirs-gtk is a companion to xdg-user-dirs that integrates it
into the GNOME desktop and GTK+ applications.

It gets run during login and does two things:
* Tracks changes of locale and prompts the user so the directories
  can be changed.
* Creates a default GTK+ bookmarks file if there is none, based
  on a set of xdg user dirs.

%description -l pl.UTF-8
xdg-user-dirs-gtk to pakiet towarzyszący xdg-user-dirs, integrujący
go ze środowiskiem GNOME i aplikacjami GTK+.

Jest uruchamiany podczas logowania i wykonuje dwie czynności:
- śledzi zmiany lokalizacji i proponuje użytkownikowi zmianę
  katalogów
- tworzy domyślny plik zakładek GTK+ (jeśli go nie ma) w oparciu o
  zestaw katalogów użytkownika xdg.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/xdg-user-dirs-gtk-update
%{_sysconfdir}/xdg/autostart/user-dirs-update-gtk.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xdg-user-dirs-gtk.spec,v $
Revision 1.5  2012/04/03 20:52:41  megabajt
- updated to 0.9

Revision 1.4  2008/09/06 09:07:34  megabajt
- updated to 0.8

Revision 1.3  2008/07/29 18:35:00  qboosh
- pl

Revision 1.2  2008/02/12 17:27:47  megabajt
- updated to 0.7

Revision 1.1  2007-09-23 15:29:40  megabajt
- new
